
From: "David S. Miller" <davem@davemloft.net>

This recently got changed to include a lot of kernel internal stuff in the
non-__KERNEL__ area of the header, which isn't so kosher and breaks libc
builds.

The fix is pretty simple.

Signed-off-by: David S. Miller <davem@davemloft.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/atalk.h |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff -puN include/linux/atalk.h~fix-linux-atalkh-header include/linux/atalk.h
--- 25/include/linux/atalk.h~fix-linux-atalkh-header	2005-04-06 01:34:54.000000000 -0700
+++ 25-akpm/include/linux/atalk.h	2005-04-06 01:34:54.000000000 -0700
@@ -1,8 +1,6 @@
 #ifndef __LINUX_ATALK_H__
 #define __LINUX_ATALK_H__
 
-#include <net/sock.h>
-
 /*
  * AppleTalk networking structures
  *
@@ -39,6 +37,10 @@ struct atalk_netrange {
 	__u16	nr_lastnet;
 };
 
+#ifdef __KERNEL__
+
+#include <net/sock.h>
+
 struct atalk_route {
 	struct net_device  *dev;
 	struct atalk_addr  target;
@@ -81,8 +83,6 @@ static inline struct atalk_sock *at_sk(s
 	return (struct atalk_sock *)sk;
 }
 
-#ifdef __KERNEL__
-
 #include <asm/byteorder.h>
 
 struct ddpehdr {
_
